package com.gh.gamecenter.core.utils

import com.gh.gamecenter.core.HaloApp
import com.gh.gamecenter.core.runOnUiThread
import com.lightgame.utils.toast.ToastHelper

object ToastUtils {

    @JvmStatic
    fun toast(message: String) {
        showToast(message)
    }

    @JvmStatic
    fun showToast(message: String) {
        runOnUiThread {
            ToastHelper.showToast(HaloApp.getInstance(), message)
        }
    }

    @JvmStatic
    fun showToast(message: String, gravity: Int = -1, yOffset: Int = 0) {
        runOnUiThread {
            ToastHelper.showToast(HaloApp.getInstance(), message, gravity, yOffset)
        }
    }

}
